package com.zy.bms.mapper.ubi;

import com.zy.bms.entity.ubi.UbiInfoState;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 设备动态信息表 Mapper 接口
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@Mapper
@Repository
public interface UbiInfoStateMapper extends BaseMapper<UbiInfoState> {

    /**
     * 定时任务,定时更新设备在线状态
     */
    void updateStatus();
}
