package com.zy.bms.pojo.vo;

import com.zy.bms.entity.ubi.UbiNtrip;
import com.zy.bms.entity.ubi.UbiTcp;
import lombok.Data;

import java.util.List;

/**
 * 设备信息Vo
 * 包含设备基础信息,最新动态信息
 *
 * @author yang xiao kun
 * create on 2021/5/12
 */
@Data
public class DeviceDetailVo {

    /**
     * 设备随机码
     */
    private String openNum;

    /**
     * 1在线，0离线
     */
    private Integer status;

    /**
     * 电压
     */
    private Integer powerVolt;

    /**
     * 信号强度
     */
    private Integer signal4g;

    /**
     * 卫星颗数
     */
    private Integer satNum;

    /**
     * 软件版本号
     */
    private String version;

    /**
     * ntrip 链路设置
     */
    List<UbiNtrip> ubiNtripList;
    /**
     * TCP 链路设置
     */
    List<UbiTcp> ubiTcpList;
}
