package com.zy.bms.common.controller;

import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.ModelAttribute;

import javax.servlet.http.HttpServletRequest;

/**
 * controller公共类提出
 *
 * @author chenyi
 * date: create on 2019/6/8
 */
@Component
public class BaseController {
    private HttpServletRequest request;

    //获取登录信息
    @ModelAttribute
    public void setModelAttribute(HttpServletRequest request) {
        this.request = request;
    }

    /**
     * 获取token信息
     */
    public String token() {
        return request.getHeader("token");
    }
}
