package com.zy.bms.pojo.vo;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * 设备信息Vo
 * 包含设备基础信息,最新动态信息
 *
 * @author yang xiao kun
 * create on 2021/5/12
 */
@Data
public class DeviceListVo {
    /**
     * 设备随机码
     */
    private String openNum;
    /**
     * 登录 MQTT 账号
     */
    private String username;

    /**
     * 登录 MQTT 密码
     */
    private String password;

    /**
     * 项目组
     */
    private String group;

    /**
     * SN码
     */
    private String sn;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 1在线，0离线
     */
    private Integer status;

    /**
     * 电压
     */
    private Integer powerVolt;

    /**
     * 信号强度
     */
    private Integer signal4g;

    /**
     * 软件版本号
     */
    private String version;

    /**
     * 经度
     */
    private String lon;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 卫星颗数
     */
    private Integer satNum;

    /**
     * 数据更新时间
     */
    private LocalDateTime updateTime;
}
